Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1250 - No DOCUMENTED way to control math function floating exceptions
Summary: No DOCUMENTED way to control math function floating exceptions
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-19 20:30 UTC by clemens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-16 23:33:52 UTC


Attachments (Terms of Use)

Description clemens 1999-02-19 20:30:01 UTC
The sources for the library libm do not appear to be
included on the SRPM disk.
Asking what rpm /lib/libm.[whatever] is in or
/usr/lib/libm.[whatever] is in says that libm is not in any
package.
---------------------
Behaviour on BAD ARGUMENTS is different Intel/Alpha.
Intel will give NaN for log(-2.0) while Alpha gives a
Floating Exception.
----------------------
There does not seem to be any DOCUMENTED way to control
the error behaviour of Specail functions (trig, exponential,
log, etc) as there is on Other OS, where you can ask for
an error messate, something like a NaN or Inf and continue,
or a Floating Exception.  There appear to be SOME error
messages in the library as determined by strings() but
no indication of how to get them rather than Floating
Exceptions (no reference from the trig/exp/log man pages)

				Reg.Clemens
				reg@dwf.com

Comment 1 Jeff Johnson 1999-03-11 20:35:59 UTC
Here's what rpm returns:
	bash$ rpm -qf /lib/libm-2.0.7.so
	glibc-2.0.7-29
The ldconfig generated symlink is not owned by any package.

There is currently no documentation of flaoting exceptions.
There are differences in handling of floating point exceptions
depending on cpu, compiler flags, and libraries that are used
for linking.

The best way that I can think of to find out how to understand the
behavior of floating point is to look at the source code of
a large package like gsl (Gnu Scientific Library), octave or
R.


Note You need to log in before you can comment on or make changes to this bug.